/** @file cbitmap.h

	Skelton for retropc emulator

	@author Sasaji
	@date   2017.02.26 -

	@brief [ cbitmap ]
*/

#ifndef _CBITMAP_H_
#define _CBITMAP_H_

#include "common.h"

#if defined(USE_WIN)
#include "osd/windows/win_cbitmap.h"
#elif defined(USE_SDL) || defined(USE_SDL2) || defined(USE_WX)
#include "osd/SDL/sdl_cbitmap.h"
#elif defined(USE_QT)
#include "osd/qt/qt_cbitmap.h"
#endif

#endif
